Authentication
3 min
Generating a Session Token
Access to the KYC Data API will be granted when user credentials are issued.
The credentials are required in order to obtain a session token. A session token is valid for 8 hours, and a user can have multiple active session tokens.
When you subscribe to the Data Zoo KYC Data API you'll receive a username and password for every child account required; often this may be only one set of credentials however depending on the number of configuration profiles, reseller accounts etc then multiple credentials may be issued.
Authentication Sandbox
POST
https://idu-test.datazoo.com/api/v2/auth/sign_in
Body Parameters
- dataobjectrequired
- usernamestringrequiredDescription
- passwordstringrequiredDescription
Response
- messagestring
- sessionTokenstring
curl
curl --location 'https://idu-test.datazoo.com/api/v2/auth/sign_in' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{
"username": "",
"password": ""
}'200
{
"message": "Logged in!",
"sessionToken": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJ0ZXN0IiwiaWF0IjoxNzA4NzgyMDcyLCJpcGEiOiIzNC4xNTEuMTE3LjI0OSIsInVpZCI6MTUsIm9pZCI6MSwibGlkIjozMTY5ODc5LCJleHAiOjE3MDg4MTA4NzIsImF1ZCI6Imh0dHBzOi8vaWR1LmRhdGF6b28uY29tIiwiZHNwIjpbIioiXX0.h1H0DYCaxPTrxcVt_mcIPP4yA8MFMAC67GDirlPriDJkFSRcQtoCDbTKjEMDgVhtg2hw__vMETh9pGrqc-2HJQ"
}401
{
"error": "Incorrect password detected"
}
or
{
"error": "Incorrect log in credentials detected"
}
Authentication Production
POST
https://idu.datazoo.com/api/v2/auth/sign_in
Body Parameters
- dataobjectrequired
- usernamestringrequiredDescription
- passwordstringrequiredDescription
Response
- messagestring
- sessionTokenstring
curl
curl --location 'https://idu.datazoo.com/api/v2/auth/sign_in' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--data '{"data":{"username":"String","password":"String"}}'200
{
"message": "Logged in!",
"sessionToken": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJ0ZXN0IiwiaWF0IjoxNzA4NzgyMDcyLCJpcGEiOiIzNC4xNTEuMTE3LjI0OSIsInVpZCI6MTUsIm9pZCI6MSwibGlkIjozMTY5ODc5LCJleHAiOjE3MDg4MTA4NzIsImF1ZCI6Imh0dHBzOi8vaWR1LmRhdGF6b28uY29tIiwiZHNwIjpbIioiXX0.h1H0DYCaxPTrxcVt_mcIPP4yA8MFMAC67GDirlPriDJkFSRcQtoCDbTKjEMDgVhtg2hw__vMETh9pGrqc-2HJQ"
}401
{
"error": "Incorrect password detected"
}
or
{
"error": "Incorrect log in credentials detected"
}